Bug 1567530 - [DOCS] Backup of service scripts
Summary: [DOCS] Backup of service scripts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kathryn Alexander
QA Contact: liujia
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 19:15 UTC by Mauricio Magnani
Modified: 2018-06-25 19:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-25 19:20:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mauricio Magnani 2018-04-14 19:15:03 UTC
Document URL: 

https://docs.openshift.com/container-platform/3.6/admin_guide/backup_restore.html#bringing-openshift-services-back-online

Describe the issue: 

Many customer are following the backup guide at some point when they need to perform the restore (back-online), the following point is causing doubt:

# cp /etc/sysconfig/atomic-openshift-master-api.rpmsave /etc/sysconfig/atomic-openshift-master-api
# cp /etc/sysconfig/atomic-openshift-master-controllers.rpmsave /etc/sysconfig/atomic-openshift-master-controllers

The document is missing the instruction of backing up /etc/sysconfig/atomic-openshift-master-api and /etc/sysconfig/atomic-openshift-master-controllers as files. 

Suggestions for improvement: 

Add a topic in the document talking about the backup of the service scripts.

Comment 2 Kathryn Alexander 2018-06-18 18:02:11 UTC
PR here: https://github.com/openshift/openshift-docs/pull/10192

@Johnny, I tagged you in the PR, too. Will you PTAL?

Comment 3 liujia 2018-06-20 06:14:31 UTC
Checked the pr. No issue.

Comment 4 openshift-github-bot 2018-06-20 14:21:52 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/6557897fe2a97e0c8cf20a7e21432c76b95f9f30
bug 1567530 backing up more master files

https://github.com/openshift/openshift-docs/commit/53b72bc2aa72ee10457b47ac709117841eec4126
Merge pull request #10192 from kalexand-rh/BZ1567530

bug 1567530 backing up more master files

Comment 5 Kathryn Alexander 2018-06-20 20:02:53 UTC
@Jia, will you PTAL at this PR, https://github.com/openshift/openshift-docs/pull/10291?

I noticed that there are different commands for single- and multi-master clusters in versions 3.5-3.3 and want to run the single-master command by you.

Comment 7 Kathryn Alexander 2018-06-22 17:12:58 UTC
https://github.com/openshift/openshift-docs/pull/10291/ looks right for 3.3-3.5 to me. (The multi-master commands were added on my previous PR and are in the first section of hidden code.)

3.6 did not currently have separate steps for single and multi master. I've opened a new PR to separate the steps: https://github.com/openshift/openshift-docs/pull/10356

Will you PTAL?

Comment 8 liujia 2018-06-25 01:24:00 UTC
LGTM

Comment 9 Kathryn Alexander 2018-06-25 13:14:01 UTC
Thank you Jia! I've merged this change and am waiting for it to go live.


Note You need to log in before you can comment on or make changes to this bug.